#
# Conditional build:
%bcond_without	tests		# do not perform "make check"
%bcond_without	static_libs	# static libraries
#
Summary:	Text categorization library
Summary(pl.UTF-8):	Biblioteka kategoryzacji tekstu
Name:		libexttextcat
Version:	3.4.4
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dev-www.libreoffice.org/src/libexttextcat/%{name}-%{version}.tar.xz
# Source0-md5:	bfa7107c27afda3a3afa4b7ab5a3fe17
URL:		http://www.freedesktop.org/wiki/Software/libexttextcat
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Provides:	libtextcat = %{version}-%{release}
Obsoletes:	libtextcat < 3.2.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libexttextcat is an N-Gram-Based Text Categorization library primarily
intended for language guessing.

%description -l pl.UTF-8
libexttextcat jest bazowaną na N-GRAM biblioteką kategoryzacji tekstu
przeznaczona głównie do odgadywania języka.

%package devel
Summary:	Development files for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe dla %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	libtextcat-devel = %{version}-%{release}
Obsoletes:	libtextcat-devel < 3.2.0-1

%description devel
This package contains the header files for developing applications
that use %{name}.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
%{name}.

%package static
Summary:	Static libexttextcat library
Summary(pl.UTF-8):	Statyczna biblioteka libexttextcat
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libexttextcat library.

%description static -l pl.UTF-8
Statyczna biblioteka libexttextcat.

%package -n vala-libexttextcat
Summary:	libexttextcat API for Vala language
Summary(pl.UTF-8):	API libexttextcat dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-libexttextcat
libexttextcat API for Vala language.

%description -n vala-libexttextcat -l pl.UTF-8
API libexttextcat dla języka Vala.

%package tools
Summary:	Tool for creating custom document fingerprints
Summary(pl.UTF-8):	Narzędzia do tworzenia własnych odcisków dokumentów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
This package contains the createfp program that allows you to easily
create your own document fingerprints.

%description tools -l pl.UTF-8
Ten pakiet zawiera program createfp pozwalający łatwo tworzyć odciski
(fingerprints) dokumentów.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--disable-werror

%{__make}
%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README*
%attr(755,root,root) %{_libdir}/libexttextcat-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexttextcat-2.0.so.0
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexttextcat-2.0.so
%{_includedir}/%{name}
%{_pkgconfigdir}/%{name}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexttextcat-2.0.a
%endif

%files -n vala-libexttextcat
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libexttextcat.vapi

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/createfp
%changelog
* Sun Jun 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libexttextcat.git;a=log;h=master

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> fb31492
- updated to 3.4.4

* Mon Jul 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 3dc465e
- updated to 3.4.3

* Fri Jun 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 0bf3c80
- updated to 3.4.1

* Fri Nov 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 6525b50
- updated to 3.4.0 (lib name/soname changed)

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> bda0630
- updated to 3.3.1
- removed obsolete pc patch

* Tue May 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e4ccbec
- rel 2; fix library name in pc file

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> b07ca4e
- updated to 3.4.0 (note: new library name and thus soname); introduced Vala API

* Wed Mar 14 2012 Jakub Bogusz <qboosh@pld-linux.org> c5abb5c
- pl fixes
- added -static (+static_libs bcond)

* Tue Feb 21 2012 blekot <blekot@pld-linux.org> 8ad38fb
- pl

* Sat Feb 11 2012 Elan Ruusamäe <glen@pld-linux.org> 7ffa3e9
- -devel does not require pkgconfig
- ghost soname symlinks

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> dc662fc
- initial; half-raw

